> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Volumes

> List all volumes for an organization with optional filters and cursor-based pagination.



## OpenAPI

````yaml /machines-api/openapi.json get /v1/orgs/{org_slug}/volumes
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/orgs/{org_slug}/volumes:
    get:
      tags:
        - Organizations
      summary: List All Volumes
      description: >-
        List all volumes for an organization with optional filters and
        cursor-based pagination.
      operationId: Volumes_org_list
      parameters:
        - name: org_slug
          in: path
          description: Fly Organization Slug
          required: true
          schema:
            type: string
        - name: include_deleted
          in: query
          description: Include deleted volumes
          schema:
            type: boolean
        - name: region
          in: query
          description: Region filter
          schema:
            type: string
        - name: state
          in: query
          description: Comma separated list of volume states to filter
          schema:
            type: string
        - name: summary
          in: query
          description: >-
            Only return summary info about volumes (omit blocks, block size,
            etc)
          schema:
            type: boolean
        - name: updated_after
          in: query
          description: >-
            Only return volumes updated after this time. Timestamp must be in
            the RFC 3339 format
          schema:
            type: string
        - name: cursor
          in: query
          description: >-
            Pagination cursor from previous response (takes precedence over
            updated_after)
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of volumes to fetch (max of 1000). This limit is
            advisory. Responses may be shorter, even when more volumes remain.
            If omitted, the maximum is used
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgVolumesResponse'
components:
  schemas:
    OrgVolumesResponse:
      type: object
      properties:
        last_updated_at:
          type: string
        last_volume_id:
          type: string
        next_cursor:
          type: string
        volumes:
          type: array
          items:
            $ref: '#/components/schemas/OrgVolume'
    OrgVolume:
      type: object
      properties:
        app_name:
          type: string
        attached_alloc_id:
          type: string
        attached_machine_id:
          type: string
        auto_backup_enabled:
          type: boolean
        block_size:
          type: integer
        blocks:
          type: integer
        blocks_avail:
          type: integer
        blocks_free:
          type: integer
        bytes_total:
          type: integer
        bytes_used:
          type: integer
        created_at:
          type: string
        encrypted:
          type: boolean
        fstype:
          type: string
        host_features:
          type: array
          items:
            type: string
        host_status:
          type: string
          enum:
            - ok
            - unknown
            - unreachable
        id:
          type: string
        name:
          type: string
        region:
          type: string
        required_host_features:
          type: array
          items:
            type: string
        size_gb:
          type: integer
        snapshot_retention:
          type: integer
        state:
          type: string
        type:
          type: string
          enum:
            - local
            - cache
        updated_at:
          type: string
        zone:
          type: string

````